Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class ApplicationServerProxy

`java.lang.Object
oracle.security.jazn.ApplicationServerProxy`

public abstract class ApplicationServerProxy
extends java.lang.Object

A proxy for JAZN access to application server internals.

Constructor Summary
`ApplicationServerProxy()`

Method Summary
`static byte[]` | `base64Decode(char[] chars)`
`static java.lang.Object` | `createGSSUPName(java.lang.String name, java.lang.String realm)`
`static java.lang.Object` | `createPasswordCredential(java.lang.String username, char[] password, java.lang.String realm)`
`abstract byte[]` | `doBase64Decode(char[] chars)`
`abstract java.lang.Object` | `doCreateGSSUPName(java.lang.String name, java.lang.String realm)`
`abstract java.lang.Object` | `doCreatePasswordCredential(java.lang.String username, char[] password, java.lang.String realm)`
`abstract java.lang.String` | `doGetApplicationName()`
`abstract java.lang.String` | `doGetApplicationRootDirectoryPath()`
`abstract java.util.List` | `doGetGroupsForRole(java.lang.String roleName)` Returns the names of the groups associated with the specified role name.
`abstract javax.servlet.http.HttpServletRequest` | `doGetHttpServletRequest()`
`abstract javax.servlet.http.HttpServletResponse` | `doGetHttpServletResponse()`
`abstract javax.servlet.http.HttpSession` | `doGetHttpSession(boolean create)`
`abstract boolean` | `doGetIsRegionProtected(javax.servlet.http.HttpServletRequest hreq)`
`abstract java.lang.String` | `doGetRunAsRole(javax.servlet.http.HttpServletRequest hreq)`
`abstract UserManager` | `doGetUserManager()`
`abstract void` | `doInvalidateUser(javax.servlet.http.HttpServletRequest request)`
`abstract void` | `doSetCertificateAsAttribute(javax.servlet.ServletRequest request, java.lang.String attributeName)`
`static java.lang.String` | `getApplicationName()`
`static java.lang.String` | `getApplicationRootDirectoryPath()`
`static java.util.List` | `getGroupsForRole(java.lang.String roleName)`
`static javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`static javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`static javax.servlet.http.HttpSession` | `getHttpSession(boolean create)`
`static boolean` | `getIsRegionProtected(javax.servlet.http.HttpServletRequest hreq)`
`static ApplicationServerProxy` | `getProxy()`
`static java.lang.String` | `getRunAsRole(javax.servlet.http.HttpServletRequest hreq)`
`static UserManager` | `getUserManager()`
`static void` | `invalidateUser(javax.servlet.http.HttpServletRequest request)`
`static void` | `setCertificateAsAttribute(javax.servlet.ServletRequest request, java.lang.String attributeName)`
`static void` | `setProxy(ApplicationServerProxy proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationServerProxy

    public ApplicationServerProxy()

Method Detail

### doGetApplicationName

    public abstract java.lang.String doGetApplicationName()

### doGetHttpServletRequest

    public abstract javax.servlet.http.HttpServletRequest doGetHttpServletRequest()

### doGetHttpServletResponse

    public abstract javax.servlet.http.HttpServletResponse doGetHttpServletResponse()

### doGetHttpSession

    public abstract javax.servlet.http.HttpSession doGetHttpSession(boolean create)

### doGetRunAsRole

    public abstract java.lang.String doGetRunAsRole(javax.servlet.http.HttpServletRequest hreq)

### doGetIsRegionProtected

    public abstract boolean doGetIsRegionProtected(javax.servlet.http.HttpServletRequest hreq)

### doInvalidateUser

    public abstract void doInvalidateUser(javax.servlet.http.HttpServletRequest request)

### doGetUserManager

    public abstract UserManager doGetUserManager()

### doGetApplicationRootDirectoryPath

    public abstract java.lang.String doGetApplicationRootDirectoryPath()

### doGetGroupsForRole

    public abstract java.util.List doGetGroupsForRole(java.lang.String roleName)

  Returns the names of the groups associated with the specified role name.

### doSetCertificateAsAttribute

    public abstract void doSetCertificateAsAttribute(javax.servlet.ServletRequest request,
                                                     java.lang.String attributeName)

### doCreatePasswordCredential

    public abstract java.lang.Object doCreatePasswordCredential(java.lang.String username,
                                                                char[] password,
                                                                java.lang.String realm)

### doCreateGSSUPName

    public abstract java.lang.Object doCreateGSSUPName(java.lang.String name,
                                                       java.lang.String realm)

### doBase64Decode

    public abstract byte[] doBase64Decode(char[] chars)

### getProxy

    public static ApplicationServerProxy getProxy()

### setProxy

    public static void setProxy(ApplicationServerProxy proxy)

### getApplicationName

    public static final java.lang.String getApplicationName()

### getHttpServletRequest

    public static final javax.servlet.http.HttpServletRequest getHttpServletRequest()

### getHttpServletResponse

    public static final javax.servlet.http.HttpServletResponse getHttpServletResponse()

### getHttpSession

    public static final javax.servlet.http.HttpSession getHttpSession(boolean create)

### getRunAsRole

    public static java.lang.String getRunAsRole(javax.servlet.http.HttpServletRequest hreq)

### getIsRegionProtected

    public static boolean getIsRegionProtected(javax.servlet.http.HttpServletRequest hreq)

### invalidateUser

    public static void invalidateUser(javax.servlet.http.HttpServletRequest request)

### getGroupsForRole

    public static java.util.List getGroupsForRole(java.lang.String roleName)

### setCertificateAsAttribute

    public static void setCertificateAsAttribute(javax.servlet.ServletRequest request,
                                                 java.lang.String attributeName)

### createPasswordCredential

    public static java.lang.Object createPasswordCredential(java.lang.String username,
                                                            char[] password,
                                                            java.lang.String realm)

### createGSSUPName

    public static java.lang.Object createGSSUPName(java.lang.String name,
                                                   java.lang.String realm)

### base64Decode

    public static byte[] base64Decode(char[] chars)

### getUserManager

    public static UserManager getUserManager()

### getApplicationRootDirectoryPath

    public static java.lang.String getApplicationRootDirectoryPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.